;/ Runtime errors
#StringTable_ErrorTitle="PureGDK Error"
#StringTable_NullGDKGlobstruct="GDKGlobstruct is null"
#StringTable_NullGlobstruct="Globstruct is null"
#StringTable_FunctionWaitWithoutLock="FunctionWait mutex released without lock"
#StringTable_UnknownDBPErrorID="Unknown DBP error ID: "
#StringTable_CouldntSetErrorID="Couldn't set last error because GDKGlobstruct is null"
#StringTable_DBPCoreDLLNotFound="Failed to load DBProCore.dll"
#StringTable_NullFileMap="Failed to load core memory"
#StringTable_NoDBProcessID="Couldn't initialize 3D engine"
#StringTable_DuplicateOpenDBWnd="OpenDBWnd cannot be called a second time once it has already been initialized"
#StringTable_FailedGetProcGetInternalData="Couldn't find library function ?GetInternalData@@YAPAXH@Z"
#StringTable_FailedGetProcMakeVector2="Couldn't find library function ?MakeVector2@@YAHH@Z"
#StringTable_FailedGetProcMakeVector3="Couldn't find library function ?MakeVector3@@YAHH@Z"
#StringTable_FailedGetProcMakeVector4="Couldn't find library function ?MakeVector4@@YAHH@Z"
#StringTable_FailedGetProcMakeMatrix="Couldn't find library function ?MakeMatrix@@YAHH@Z"
#StringTable_FailedGetProcSetDisplayModeEx="Couldn't find library function ?SetDisplayModeEx@@YAXHHH@Z"
#StringTable_FailedGetProcGeneric="Couldn't find library function. Please report this as a bug."
#StringTable_UnhandledError="An unhandled error has occurred"
#StringTable_CouldntFindDBErrorCode="Couldn't find the error code: "
#StringTable_UnkownErrorID="Unknown error ID: "

;/ Critical runtime error (*GDKGlobstruct=Null)
#StringTable_CriticalError="PureGDK has experienced a crtitical error and must close."

;/ OnError report information
#StringTable_ErrorLine="Line: "
#StringTable_ErrorAddress="Address: "
#StringTable_ErrorFile="File: "

;/ Runtime error codes
#StringTable_FailedGetErrorCode="Couldn't find the error code: "
#StringTable_FailedGetPrivateProfileStringA="Couldn't find GetPrivateProfileStringA in Kernel32.dll."
#StringTable_Kernel32DLLNotFound="There was an error while calling Kernel32.dll."
#StringTable_FailedWriteToTemp="Couldn't write error codes to the temporary directory!"

;/ Other runtime errors
#StringTable_NullGDKGlobstructAlt="Couldn't find a critical structure required to shut down the process."
#StringTable_DBPEndedEarly="The DarkBasic process has ended prematurely."

;/ Extended dbResolveErrorLine errors
#StringTable_NullOldLineNumber="(Null parameter: OldLineNumber)"
#StringTable_InvalidErrorLine0="(Invalid error line: 0)"
#StringTable_InvalidResolveErrorLinePointer="(Invalid function pointer: ResolveErrorLine)"
#StringTable_UnknownModule="Unknown module"

;/ PureBasic "No Error" result (Don't translate these!)
#StringTable_NoErrorEnglish="No Error"
#StringTable_NoErrorFrench="??" ;/ What is this?
#StringTable_NoErrorGerman="??" ;/ What is this?

;/ GDK Compiler strings
#StringTable_FailedLoadCompileFile="Failed to load the compile file "
#StringTable_FailedCreateTemporaryDirectory="Failed to create temporary directory."
#StringTable_FailedWriteGDKMainSrc="Failed to write the GDKMainSrc to disk"
#StringTable_FailedLocateDBPCompiler="PureGDK could not locate the DarkBasic Professional compiler."
#StringTable_FailedWriteGDKLoader="Failed to write the GDKLoader to disk"
#StringTable_FailedWriteGDKLoaderRC="Failed to write the GDKLoaderRC to disk"
#StringTable_FailedWriteGDKMainRC="Failed to write the GDKMainRC to disk"
#StringTable_FailedLocatePBCompiler="Couldn't find PBCompiler.exe"
#StringTable_CompilingGDKMain="Compiling GDKMain.."
#StringTable_ResolvingErrorLines="Resolving error lines..."
#StringTable_UnknownCompilerError="An unknown error has occurred while building the source."
#StringTable_FailedDemoCompiler="PureGDK can't compile with the debugger disabled using PureBasic demo! "+#CR$+"To enable the Debugger from the PureBasic IDE select Use Debugger "+#CR$+"from the Debugger menu. Your program will run considerably slower with "+#CR$+"the debugger turned on."
#StringTable_CompilingGDKLoader="Compiling GDKLoader.."
#StringTable_GDKLoaderIsLocked="GDKLoader.dll is locked and cannot be written to."
#StringTable_CompilingDBPExecutable="Compiling DarkBasic Professional executable.."
#StringTable_DBPExecutableIsLocked="Couldn't create executable because the file is locked."
#StringTable_CompileFileIsLocked="The compile file is locked and can't be written to."
#StringTable_FailedCreateInTempPath="Could not create temporary executable in source path."
#StringTable_UnknownBuildError="An unknown error has occurred while building the executable."
#StringTable_FailedCreateFile="Couldn't create the file!"
#StringTable_UnknownCompilerSwitch="The PureGDK compiler has encountered an unknown compiler switch."
#StringTable_CompilerDone="Done"

;/ PureGDK DLL strings
#StringTable_PureBasicEndedEarly="The PureBasic process has ended prematurely."
#StringTable_FailedGDKMainEntryPoint="Couldn't find entry point in GDKMain.dll"
#StringTable_FailedVerifyMainProcessID="Failed to verify main process id."
#StringTable_FailedLoadInternalCameraData="Function To load internal camera data."
#StringTable_FunctionTimeoutPart1="Timeout received while waiting for "
#StringTable_FunctionTimeoutPart2=" active functions to be released. Please report this as a bug."
#StringTable_PBProcessExistsTimout="The PBProcessExists thread timed out while exiting the process. Please report this as a bug."
#StringTable_DBCommandThreadTimout="The DBCommandThread thread timed out while exiting the process. Please report this as a bug."

;/ PureGDK Installer strings
#StringTable_SetupErrorTitle="PureGDK Setup - Error"
#StringTable_PureGDKSetupTitle="PureGDK Setup"
#StringTable_PureGDKSetupTitleAlt="Setup - PureGDK"
#StringTable_PureBasicPath="PureBasic Path"
#StringTable_DBPPath="DarkBasic Professional Path"
#StringTable_PureGDKAppDataPath="PureGDK Application Data Path"
#StringTable_InvalidPureBasicDirectory="The PureBasic directory is not valid."
#StringTable_InvalidInstallationDirectory="The installation directory is not valid."
#StringTable_InvalidDBPDirectory="The DarkBasic Professional directory is not valid."
#StringTable_InvalidDBPVersion="This version of DarkBasic Professional is too old. Please upgrade it before installing PureGDK"
#StringTable_FailedLocatePBCompilerSetup="Couldn't find the PureBasic compiler!"
#StringTable_InvalidPBVersion="This installer is not compatible with this version of PureBasic. Setup was expecting " ;/ + PBVersion
#StringTable_PromptCopyDBPData="DarkBasic Professional has been found on your computer. Would you like the option to copy "+#CR$+"important data with the PureGDK installation?"
#StringTable_DetailsInstallPath="Destination location:"
#StringTable_DetailsDBPPath="DarkBasic Professional location:"
#StringTable_DetailsDBPData="DarkBasic Professional Data:"
#StringTable_DetailsCopyCertificates="Copy license certificates"
#StringTable_DetailsCopyPluginsUser="Copy plugins-user folder"
#StringTable_DetailsCopyPluginsLicensed="Copy plugins-licensed folder"
#StringTable_FailedCreateInstallationPath="Couldn't create the installation directory."
#StringTable_FailedWriteToInstallationPath="Couldn't write to the installation directory."
#StringTable_FailedToCreateDirectory="Couldn't create the directory."
#StringTable_FailedCopyFile="Couldn't copy the file."
#StringTable_FailedLocatePureBasicAppDataPath="Couldn't find the PureBasic application data folder."
#StringTable_FailedLocatePureBasicToolsPrefs="The PureBasic tools preferences file could not be found."
#StringTable_AppName="PureGDK"
#StringTable_LicenseAccept="I accept the agreement"
#StringTable_LicenseDeny="I do not accept the agreement"
#StringTable_CheckboxReadMe="View README file"
#StringTable_WelcomeScreenText0="Welcome to the "+#StringTable_AppName+" Setup Wizard"
#StringTable_WelcomeScreenText1="This will install "+#StringTable_AppName+" on your computer"+#CRLF$+#CRLF$+"It is recommended that your close all other applications before continuing."+#CRLF$+#CRLF$+"Click Next to continue, or Cancel to exit Setup."
#StringTable_LicenseScreenHeader0="License Agreement"
#StringTable_LicenseScreenHeader1="Please read the following important information before continuing."
#StringTable_LicenseScreenText0="Please read the following License Agreement. You must accept the terms of this agreement before continuing with the installation."
#StringTable_InstallPathsHeader0="Select Destination Location"
#StringTable_InstallPathsHeader1="Where should "+#StringTable_AppName+" be installed?"
#StringTable_InstallPathsText0="Please select the PureBasic directory you wish to install PureGDK."+#CRLF$+#CRLF$+"To continue, click Next. If you would like to select a different folder, click Browse."+#CRLF$+#CRLF$+"PureBasic folder:"
#StringTable_InstallPathsText2="DarkBasic Professional installation folder:"
#StringTable_CertsAndPluginsHeader0="Certificates and Plugins"
#StringTable_CertsAndPluginsHeader1="Copy your existing plugins and plugin licenses for use with "+#StringTable_AppName+"."
#StringTable_CertsAndPluginsText0="PureGDK copies DarkBasic Professional compiler and plugins files to an application data folder "+"for a specific user account. You can specify an alternative location if you would like to install to "+"a removable disk."+#CRLF$+#CRLF$+#CRLF$+#CRLF$+"Destination for PureGDK application data:"
#StringTable_CertsAndPluginsText1="If you do not want your plugins and certificates to be copied with this installation then uncheck the corresponding options."
#StringTable_InstallConfirmationHeader0="Ready to install"
#StringTable_InstallConfirmationHeader1="Setup is ready to begin installing "+#StringTable_AppName+" on your computer."
#StringTable_InstallConfirmationText0="Click Install to continue with the installation, or click Back if you want to review or change any settings."
#StringTable_InstallationHeader0="Installing"
#StringTable_InstallationHeader1="Please wait while Setup installs "+#StringTable_AppName+" on your computer."
#StringTable_InstallationText0="Installing "+#StringTable_AppName+"..."
#StringTable_CompletionText0="Completing the "+#StringTable_AppName+" Setup Wizard"
#StringTable_CompletionText1="Setup has finished installing "+#StringTable_AppName+" on your computer."+"Please restart the PureBasic IDE for the changes to take effect."+#CRLF$+#CRLF$+"Click Finish to exit Setup."
#StringTable_InstallForAllUsers="Install for all users"
#StringTable_InstallForCurrentUser="Install for the current user"
#StringTable_BrowseButton="Browse..."
#StringTable_BackButton="< Back"
#StringTable_NextButton="Next >"
#StringTable_InstallButton="Install"
#StringTable_CancelButton="Cancel"
#StringTable_FinishButton="Finish"
#StringTable_InstallKernelCallError="There was an error while calling Kernel32.dll."

; IDE Options = PureBasic 4.30 (Windows - x86)
; CursorPosition = 86
; FirstLine = 75
; Folding = -